cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gorkem Ercan" <gorkem.er...@gmail.com>
Subject Re: plugin install using old version with cordova 4.2
Date Thu, 05 Mar 2015 15:30:29 GMT

Do you have a version number specified on your config.xml for your 
plugin? Have you used the --save switch earlier for instance?
--
Gorkem

On 4 Mar 2015, at 23:22, Don Coleman wrote:

> I published a new version of my plugin
> <http://plugins.cordova.io/#/package/com.megster.cordova.ble>, but my 
> local
> machine keeps installing the old 0.1.3 version.
>
> $ cordova -d plugin add com.megster.cordova.ble
> Calling plugman.fetch on plugin "com.megster.cordova.ble"
> Fetching plugin "com.megster.cordova.ble" via plugin registry
> Copying plugin
> "/Users/don/.plugman/cache/com.megster.cordova.ble/0.1.3/package" ...
>
> cordova 4.2.0
> plugman 0.23.0
>
> If I upgrade to Cordova 4.3.0, the newer 0.1.4 version of the plugin 
> is
> installed
>   npm install -g cordova
>   cordova plugin rm com.megster.cordova.ble
>   cordova plugin add com.megster.cordova.ble
>
> If I downgrade back to Cordova 4.2.0, the older 0.1.3 version is 
> installed
> again
>   cordova plugin rm com.megster.cordova.ble
>   npm install -g cordova@4.2.0
>   cordova plugin add com.megster.cordova.ble
>
> I don't understand why this is happening. Any ideas why or how to fix 
> it?

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
For additional commands, e-mail: dev-help@cordova.apache.org


Mime
View raw message